%define name edje_editor
%define version 0.3.2
%define svn	20090808
%define release %mkrel 3

Summary:	Visual editor for edje file
Name:		%name
Version:	%version
Release:	%release
License: 	BSD
Group: 		Graphical desktop/Enlightenment
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.enlightenment.org/
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	edje-devel >= 0.9.9.050, edje >= 0.9.9.050
BuildRequires: 	evas-devel >= 0.9.9.052
Buildrequires:	ecore-devel >= 0.9.9.050
BuildRequires:	etk-devel >= 0.1.0.42
Requires: 	edje >= 0.9.9.050
BuildRequires:  imagemagick, flex
BuildRequires:  desktop-file-utils

%description
Edje_editor is a visual editor for edje file

%prep
%setup -q -n %name-%version

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
rm -f %buildroot
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post 
%{update_menus} 
%endif

%if %mdkversion < 200900
%postun 
%{clean_menus} 
%endif

%files
%defattr(-,root,root)
%doc  AUTHORS COPYING* README
%{_bindir}/%name
%{_datadir}/%name
%_iconsdir/*.png
%{_datadir}/applications/*


%changelog
* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.3.2-3mdv2010.0
+ Revision: 411566
- new tarball to build with latest evas

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.3.2-2mdv2010.0
+ Revision: 393570
- rebuild

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 0.3.2-1mdv2009.1
+ Revision: 347965
- remove not found files
- adjust etk-devek buildrequires
- fix %%setup
- SVN SNAPSHOT 20090303, release 0.3.2

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.4-20080208.2mdv2009.0
+ Revision: 266612
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.1.4-20080208.1mdv2009.0
+ Revision: 214105
- spec cleanup

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Feb 09 2008 Austin Acton <austin@mandriva.org> 0.1.4-20080208.1mdv2008.1
+ Revision: 164389
- introduce grammar
- fix .desktop file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 02 2007 Antoine Ginies <aginies@mandriva.com> 0.1.4-1mdv2008.0
+ Revision: 34710
- add edje buildrequires
- add flex buildrequires
- Import edje_editor

